OpenTTD Source: Data Fields - Variables

OpenTTD Source 14.0-beta3

### - f -

- face : CompanyNewsInformation , CompanyProperties , ErrorMessageData , FreeTypeFontCache , SelectCompanyManagerFaceWindow
- facilities : BaseStation , CompanyStationsWindow::FilterState
- factor : UnitConversion
- fallback : BaseSet< T, Tnum_files, Tsearch_in_tars >
- fallback_price : PriceBaseSpec
- fallback_railtype : RailTypeInfo
- family : ClientNetworkStunSocketHandler , NetworkReuseStunConnecter , TCPConnecter
- fast_forward_key_pressed : VideoDriver
- fast_forward_speed_limit : GUISettings
- fast_forward_via_key : VideoDriver
- fc : Font
- fct_checker : ViewportSSCSS
- fct_sorter : ViewportSSCSS
- feat : NewGRFProfiler::Call
- feature : BasePersistentStorageArray
- feeder_payment_share : EconomySettings
- feeder_share : CargoPacket , VehicleCargoList
- fields : IndustryCargoesWindow
- file : FileReader , FileWriter , GrfProcessingState , LanguageMetadata , SpriteCache , StringReader , WindowDesc
- file_handle : RandomAccessFile
- file_list : FiosFileScanner
- file_list_valid : ConsoleFileList
- file_names : BaseSet< T, Tnum_files, Tsearch_in_tars >
- file_op : FileToSaveLoad
- file_type : TextfileWindow
- filename : ContentInfo , GRFConfig , MD5File , MusicSongInfo , RandomAccessFile , ScenarioIdentifier , TextfileWindow
- filename_editbox : SaveLoadWindow
- filepath : TextfileWindow , TextfileWindow::HistoryEntry
- files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- filesize : ContentInfo
- filesize_sum : NetworkContentListWindow
- filetype : MusicSongInfo
- fill_percent_te_id : Vehicle
- fill_x : NWidgetBase
- fill_y : NWidgetBase
- filter : BuildVehicleWindow , GameSettingsWindow , StationViewWindow::RowDisplay
- filter_buffer : StringFilter
- filter_data : NetworkContentListWindow
- filter_editbox : BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , GameSettingsWindow , NetworkContentListWindow , NetworkGameWindow , NewGRFWindow , SaveLoadWindow , SignListWindow
- filter_func_list : GUIList< T, P, F >
- filter_funcs : BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , NetworkContentListWindow , NewGRFWindow
- filter_type : GUIList< T, P, F >
- finished : NetworkHTTPRequest
- fios_items : SaveLoadWindow
- fired : TimeoutTimer< TTimerType >
- first : OrderList , Vehicle
- first_bit : GRFParameterInfo
- first_child : ParentSpriteToDraw
- first_dirty : Palette
- first_engine : GroundVehicleCache
- first_free : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- first_shared : OrderList
- first_sprite : CompanyManagerFaceBitsInfo
- first_station : CargoPacket
- first_tile : ClearedObjectArea
- first_unused : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- fix_at : CursorVars
- fizzy_drink : ExtraPaletteValues
- flag : AirportMovingData
- flag_offset : NetworkGameWindow
- flag_size : DepotWindow
- flags : Aircraft , Airport , AirportFTAClass , BaseSettingEntry , BridgeSpec , CanalProperties , CommandInfo , DisasterVehicle , Engine , GRFConfig , Group , GUIEngineListItem , GUIList< T, P, F > , NewsItem , NWidgetPIPContainer , ObjectSpec , OptionData , Order , QueryStringWindow , RailTypeInfo , RoadTypeInfo , ScriptConfigItem , SettingDesc , StationSpec , TileLayoutRegisters , Town , WaterFeature , Window , WindowDesc
- flow : LinkGraphJob::EdgeAnnotation , Path
- flows : GoodsEntry , LinkGraphJob::NodeAnnotation
- fluct : Economy
- folded : Group , SettingsPage
- follow_vehicle : ViewportData
- font : CoreTextFontCache , FallbackParagraphLayout::FallbackVisualRun , FontCacheSubSetting , ICURun , Win32FontCache
- font_desc : CoreTextFontCache
- font_name : CoreTextFontCache
- font_tables : TrueTypeFontCache
- fontname : Win32FontCache
- fonts : Layouter
- fontsize : FontState
- footer : LeagueTable
- fop : FiosFileScanner , SaveLoadWindow
- forbid_90_deg : PathfinderSettings
- found_files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- found_town : EconomySettings
- foundation : ViewportDrawer
- foundation_offset : ViewportDrawer
- foundation_part : ViewportDrawer
- founder : Industry
- frame : CommandPacket
- frame_counter : AI , Game
- frame_freq : NetworkSettings
- framerect : WidgetDimensions
- frames : AnimationInfo
- frametext : WidgetDimensions
- fread_buf : LZMALoadFilter , ZlibLoadFilter
- free_capacity : Path
- free_list : Kdtree< T, TxyFunc, CoordT, DistT >
- free_names : StationNameInformation
- freeform_edges : ConstructionSettings
- freeze : TileHighlightData
- freight_trains : VehicleSettings
- from : LinkRefresher::Hop
- front : CargoPayment
- fs : FontCache
- fsm : AirportSpec
- fullbevel : WidgetDimensions
- fullscreen : VideoDriver_Win32Base
- func_ptr : NWidgetPart::NWidgetPartUnion
- fund_buildings : EconomySettings
- fund_buildings_months : Town
- fund_roads : EconomySettings
- fwrite_buf : LZMASaveFilter , ZlibSaveFilter